#include <iostream>
#include <map>
#include <iterator>

using namespace std;

int main()
{
    bool d = true;
    bool d1 = true;
    int n,m,o,p,x,y,z;
    cin>>n>>m;
    map <int, int> a;
    for (int i = 0; i<n; i++)
    {
        cin>>x>>y>>z;
        if (z==0)
            d = false;
        if (z==1)
            d1 = false;
    }
    if (d)
        cout<<1;
    else if (d1)
        cout<<0;
    else
        cout<<-1;
}